Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Jul 2022 22:15:50 -0400

>> To avoid problems when we play with actual focus, what happens if we
>> play with the focus-redirection here instead?
[...]
> Whether it would make any difference to the subsequent Emacs frame
> management, I couldn't say at the moment.  (My head is spinning from the
> last few days' thinking about this.)

That's why I ask you: last time I looked at the focus-redirection code
I also had trouble, but since you're already deep into it, I figured
I could save myself the trouble ;-)

        Stefan